const system=require("../../system");
const settings=require("../../../config/settings");

module.exports = (db, DataTypes) => {
    return db.define("tmkremark", {
        title:DataTypes.STRING,
        remark:DataTypes.TEXT,
        username:DataTypes.STRING,
    },{
        paranoid: true,//假的删除
        underscored: true,
        version: true,
        freezeTableName: true,
        //freezeTableName: true,
        // define the table's name
        tableName: 'tmk_remark',
        validate: {

        },
        indexes:[]
    });
}